# Generated by Django 2.2.2 on 2019-06-07 12:59

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import uuid


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ("cases", "0011_auto_20190314_1453"),
        ("annotations", "0003_auto_20190603_1208"),
    ]

    operations = [
        migrations.CreateModel(
            name="RetinaImagePathologyAnnotation",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("modified", models.DateTimeField(auto_now=True)),
                (
                    "created",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                (
                    "amd_present",
                    models.BooleanField(
                        help_text="Is Age-related Macular Degeneration present in this image?"
                    ),
                ),
                (
                    "dr_present",
                    models.BooleanField(
                        help_text="Is Diabetic Retinopathy present in this image?"
                    ),
                ),
                (
                    "oda_present",
                    models.BooleanField(
                        help_text="Are optic disc abnormalitites present in this image?"
                    ),
                ),
                (
                    "myopia_present",
                    models.BooleanField(
                        help_text="Is myopia present in this image?"
                    ),
                ),
                (
                    "cysts_present",
                    models.BooleanField(
                        help_text="Are cysts present in this image?"
                    ),
                ),
                (
                    "other_present",
                    models.BooleanField(
                        help_text="Are other findings present in this image?"
                    ),
                ),
                (
                    "grader",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cases.Image",
                    ),
                ),
            ],
            options={
                "ordering": ["-created"],
                "get_latest_by": "created",
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ImageQualityAnnotation",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("modified", models.DateTimeField(auto_now=True)),
                (
                    "created",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                (
                    "quality",
                    models.CharField(
                        choices=[
                            ("U", "Cannot grade"),
                            ("F", "Fair"),
                            ("G", "Good"),
                        ],
                        help_text="How do you rate the quality of the image?",
                        max_length=1,
                    ),
                ),
                (
                    "quality_reason",
                    models.CharField(
                        blank=True,
                        choices=[
                            ("BP", "Bad photo"),
                            ("CA", "Cataract"),
                            ("PM", "Poor mydriasis"),
                        ],
                        help_text="If the quality is not good, why not?",
                        max_length=2,
                        null=True,
                    ),
                ),
                (
                    "grader",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cases.Image",
                    ),
                ),
            ],
            options={
                "ordering": ["-created"],
                "get_latest_by": "created",
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="ImagePathologyAnnotation",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("modified", models.DateTimeField(auto_now=True)),
                (
                    "created",
                    models.DateTimeField(default=django.utils.timezone.now),
                ),
                (
                    "pathology",
                    models.CharField(
                        choices=[
                            ("C", "Cannot grade"),
                            ("A", "Absent"),
                            ("Q", "Questionable"),
                            ("P", "Present"),
                        ],
                        help_text="Is there a pathology present in the image?",
                        max_length=1,
                    ),
                ),
                (
                    "grader",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.AUTH_USER_MODEL,
                    ),
                ),
                (
                    "image",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="cases.Image",
                    ),
                ),
            ],
            options={
                "ordering": ["-created"],
                "get_latest_by": "created",
                "abstract": False,
            },
        ),
    ]
