# Generated by Django 2.0.8 on 2018-08-30 13:36

import django.contrib.postgres.fields.citext
import django.core.validators
from django.db import migrations
import grandchallenge.challenges.models
import re


class Migration(migrations.Migration):

    dependencies = [("challenges", "0009_auto_20180808_1350")]

    operations = [
        migrations.AlterField(
            model_name="challenge",
            name="short_name",
            field=django.contrib.postgres.fields.citext.CICharField(
                help_text="short name used in url, specific css, files etc. No spaces allowed",
                max_length=50,
                unique=True,
                validators=[
                    grandchallenge.challenges.models.validate_nounderscores,
                    django.core.validators.RegexValidator(
                        re.compile("^[-a-zA-Z0-9_]+\\Z"),
                        "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.",
                        "invalid",
                    ),
                    grandchallenge.challenges.models.validate_short_name,
                ],
            ),
        ),
        migrations.AlterField(
            model_name="externalchallenge",
            name="short_name",
            field=django.contrib.postgres.fields.citext.CICharField(
                help_text="short name used in url, specific css, files etc. No spaces allowed",
                max_length=50,
                unique=True,
                validators=[
                    grandchallenge.challenges.models.validate_nounderscores,
                    django.core.validators.RegexValidator(
                        re.compile("^[-a-zA-Z0-9_]+\\Z"),
                        "Enter a valid 'slug' consisting of letters, numbers, underscores or hyphens.",
                        "invalid",
                    ),
                    grandchallenge.challenges.models.validate_short_name,
                ],
            ),
        ),
    ]
