# Generated by Django 2.0.8 on 2018-10-04 09:56

from django.db import migrations

from grandchallenge.evaluation.models import Config as ConfigModel


def set_supplementary_file_option_forward(apps, schema_editor):
    Config = apps.get_model("evaluation", "Config")
    for config in Config.objects.all():
        if config.require_supplementary_file:
            config.supplementary_file_choice = ConfigModel.REQUIRED
        elif config.allow_supplementary_file:
            config.supplementary_file_choice = ConfigModel.OPTIONAL
        else:
            config.supplementary_file_choice = ConfigModel.OFF
        config.save()


def set_supplementary_file_option_reverse(apps, schema_editor):
    Config = apps.get_model("evaluation", "Config")
    for config in Config.objects.all():
        if config.supplementary_file_choice == ConfigModel.REQUIRED:
            config.require_supplementary_file = True
            config.allow_supplementary_file = True
        elif config.supplementary_file_choice == ConfigModel.OPTIONAL:
            config.require_supplementary_file = False
            config.allow_supplementary_file = True
        else:
            config.require_supplementary_file = False
            config.allow_supplementary_file = False
        config.save()


class Migration(migrations.Migration):

    dependencies = [("evaluation", "0009_auto_20181004_0954")]

    operations = [
        migrations.RunPython(
            set_supplementary_file_option_forward,
            set_supplementary_file_option_reverse,
        )
    ]
